Reports module
Endpoints
Endpoints for managing Reportings
GET
/reportschedules Returns collection of Report schedule resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 892,
"created_at": "2024-10-22 10:04:37",
"culture": 5,
"description": "value",
"emails": "value",
"end_at": "2024-10-22 10:04:41",
"format": 1,
"frequency": "value",
"last_run_at": "2024-10-22 10:03:34",
"name": "value",
"next_run_at": "2024-10-22 10:07:21",
"report_id": 3124,
"start_at": "2024-10-22 09:52:42",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}
POST
/reportschedules Creates new Report schedule resource
Parameters
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
POST /v1.1/voipstudio/reportschedules HTTP/1.1
Host: l7api.com
{
"report_id": 412,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-11-06",
"end_at": "2026-11-06",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
201 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 8714,
"created_at": "2025-09-02 00:14:58",
"culture": 2,
"description": "value",
"emails": "value",
"end_at": "2025-09-02 00:11:09",
"format": 1,
"frequency": "value",
"last_run_at": "2025-09-02 00:16:43",
"name": "value",
"next_run_at": "2025-09-02 00:17:17",
"report_id": 6960,
"start_at": "2025-09-02 00:13:38",
"status": 0,
"timezone": "value",
"tz": "value"
},
"links": {}
}
GET
/reportschedules/{id} Returns Report schedule resource for given Id
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
GET /v1.1/voipstudio/reportschedules/87 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 12,
"created_at": "2019-10-15 15:31:47",
"culture": 6,
"description": "value",
"emails": "value",
"end_at": "2019-10-15 15:29:46",
"format": 1,
"frequency": "value",
"last_run_at": "2019-10-15 15:30:50",
"name": "value",
"next_run_at": "2019-10-15 15:36:11",
"report_id": 2523,
"start_at": "2019-10-15 15:38:05",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
PATCH
/reportschedules/{id} Updates existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
JSON body attributes:
report_id integer
name string
description string
emails array
Array of emails
Array of emails
format string
culture string
start_at date
end_at date
status string
frequency array
Array of frequency config options
Array of frequency config options
tz string
timezone string
Example Request
PATCH /v1.1/voipstudio/reportschedules/94 HTTP/1.1
Host: l7api.com
{
"report_id": 574,
"name": "abcd",
"description": "abcd",
"emails": [
"john@example.com",
"mike@w3c.com"
],
"format": "abcd",
"culture": "abcd",
"start_at": "2026-11-06",
"end_at": "2026-11-06",
"status": "abcd",
"frequency": {
"type": "W",
"time_of_day": [
10
],
"day_of_week": [
1,
5
],
"day_of_month": []
},
"tz": "abcd",
"timezone": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 9402,
"created_at": "2022-04-19 21:18:05",
"culture": 4,
"description": "value",
"emails": "value",
"end_at": "2022-04-19 21:17:53",
"format": 1,
"frequency": "value",
"last_run_at": "2022-04-19 21:03:59",
"name": "value",
"next_run_at": "2022-04-19 21:16:08",
"report_id": 5778,
"start_at": "2022-04-19 21:02:03",
"status": 1,
"timezone": "value",
"tz": "value"
},
"links": {}
}
DELETE
/reportschedules/{id} Deletes existing Report schedule resource
Parameters
Endpoint URL:
{id} integerReportSchedule2 identifier
Example Request
DELETE /v1.1/voipstudio/reportschedules/78 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 204 OK
GET
/reportschedules/dictionaries Returns Dictionary for Report schedule resource
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/reportschedules/dictionaries HTTP/1.1 Host: l7api.com
Responses
200 Success
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 1951,
"created_at": "2019-01-06 02:14:22",
"culture": 1,
"description": "value",
"emails": "value",
"end_at": "2019-01-06 02:19:48",
"format": 1,
"frequency": "value",
"last_run_at": "2019-01-06 02:18:55",
"name": "value",
"next_run_at": "2019-01-06 02:23:37",
"report_id": 6689,
"start_at": "2019-01-06 02:15:47",
"status": 0,
"timezone": "value",
"tz": "value"
}
],
"total": 59
}